/*Слава Україні*/
#include <iostream>
#include <cmath>
#include <iomanip>
#include <algorithm>
#include <vector>
#include <set>
#include <map>
#include <queue>

//#define int long long

using namespace std;

main()
{
    int n;
    cin>>n;
    map<int,int>mp;
    for(int i=0;i<n;i++)
    {
        int x;
        cin>>x;
        mp[x]++;
    }
    int sum=0;
    int k=0;
    for(auto it=mp.rbegin();it!=mp.rend();it++)
    {
        int a= it->first -k;
        sum += max(0,a) * it->second;
        k += it->second;
    }
    cout<<sum;
}
